//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Scientific or informal name as a result of an identification.
 * 
 * <p>Java class for TaxonIdentified complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TaxonIdentified"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="HigherTaxa" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="HigherTaxon" type="{http://www.tdwg.org/schemas/abcd/3.0}HigherTaxon" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;choice minOccurs="0"&gt;
 *           &lt;element name="ScientificName" type="{http://www.tdwg.org/schemas/abcd/3.0}ScientificNameIdentified" minOccurs="0"/&gt;
 *           &lt;element name="InformalName" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;/choice&gt;
 *         &lt;element name="NameComments" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Code" type="{http://www.tdwg.org/schemas/abcd/3.0}CodeOfNomenclatureEnum" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TaxonIdentified", propOrder = {
    "higherTaxa",
    "scientificName",
    "informalName",
    "nameComments",
    "code"
})
public class TaxonIdentified {

    @XmlElement(name = "HigherTaxa")
    protected TaxonIdentified.HigherTaxa higherTaxa;
    @XmlElement(name = "ScientificName")
    protected ScientificNameIdentified scientificName;
    @XmlElement(name = "InformalName")
    protected StringL informalName;
    @XmlElement(name = "NameComments")
    protected StringL nameComments;
    @XmlElement(name = "Code")
    @XmlSchemaType(name = "Name")
    protected CodeOfNomenclatureEnum code;

    /**
     * Gets the value of the higherTaxa property.
     * 
     * @return
     *     possible object is
     *     {@link TaxonIdentified.HigherTaxa }
     *     
     */
    public TaxonIdentified.HigherTaxa getHigherTaxa() {
        return higherTaxa;
    }

    /**
     * Sets the value of the higherTaxa property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaxonIdentified.HigherTaxa }
     *     
     */
    public void setHigherTaxa(TaxonIdentified.HigherTaxa value) {
        this.higherTaxa = value;
    }

    /**
     * Gets the value of the scientificName property.
     * 
     * @return
     *     possible object is
     *     {@link ScientificNameIdentified }
     *     
     */
    public ScientificNameIdentified getScientificName() {
        return scientificName;
    }

    /**
     * Sets the value of the scientificName property.
     * 
     * @param value
     *     allowed object is
     *     {@link ScientificNameIdentified }
     *     
     */
    public void setScientificName(ScientificNameIdentified value) {
        this.scientificName = value;
    }

    /**
     * Gets the value of the informalName property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getInformalName() {
        return informalName;
    }

    /**
     * Sets the value of the informalName property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setInformalName(StringL value) {
        this.informalName = value;
    }

    /**
     * Gets the value of the nameComments property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getNameComments() {
        return nameComments;
    }

    /**
     * Sets the value of the nameComments property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setNameComments(StringL value) {
        this.nameComments = value;
    }

    /**
     * Gets the value of the code property.
     * 
     * @return
     *     possible object is
     *     {@link CodeOfNomenclatureEnum }
     *     
     */
    public CodeOfNomenclatureEnum getCode() {
        return code;
    }

    /**
     * Sets the value of the code property.
     * 
     * @param value
     *     allowed object is
     *     {@link CodeOfNomenclatureEnum }
     *     
     */
    public void setCode(CodeOfNomenclatureEnum value) {
        this.code = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="HigherTaxon" type="{http://www.tdwg.org/schemas/abcd/3.0}HigherTaxon" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "higherTaxon"
    })
    public static class HigherTaxa {

        @XmlElement(name = "HigherTaxon", required = true)
        protected List<HigherTaxon> higherTaxon;

        /**
         * Gets the value of the higherTaxon property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the higherTaxon property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getHigherTaxon().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link HigherTaxon }
         * 
         * 
         */
        public List<HigherTaxon> getHigherTaxon() {
            if (higherTaxon == null) {
                higherTaxon = new ArrayList<HigherTaxon>();
            }
            return this.higherTaxon;
        }

    }

}
